Name: sox
Version: 12.17.7
Release: alt1

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: A general purpose sound file conversion tool.
Summary(ru_RU.KOI8-R):      .
License: LGPL
Group: Sound
Url: http://%name.sourceforge.net/
Source: http://download.sourceforge.net/%name/%name-%version.tar.gz
Patch: %name-12.17.6-alt-alsa_fix.patch

BuildPreReq: kernel-headers-std kernel-headers-alsa

# Automatically added by buildreq on Tue Dec 21 2004
BuildRequires: liblame-devel libmad-devel libogg-devel libvorbis-devel

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the %name package if you'd like to convert sound file formats
or manipulate some sounds.

%description -l ru_RU.KOI8-R
SOX -    ,   
 ,   .

%package devel
Summary: The SoX sound file format converter headers files and libraries.
Group: Development/C

%description devel 
This package contains the headers and library needed for compiling
applications which will use the SoX sound file format converter.

Install %name-devel if you want to develop applications which will use SoX.

%prep
%setup -q
%patch -p1
%__subst 's,\-I/lib/modules/`uname -r`/build/include,,' configure*

%build
%configure 
%make_build

%install
%makeinstall install install-lib

%__subst 's,\(/usr/\)local/,\1,' scripts/soxeffect
%__install scripts/soxeffect %buildroot%_bindir/soxeffect

%__rm -f %buildroot%_bindir/rec
%__ln_s play %buildroot%_bindir/rec

%__cat << EOF >%buildroot%_bindir/%{name}play 
#!/bin/sh
%_bindir/%name \$1 -t .au - >/dev/audio
EOF
%__chmod 755 %buildroot%_bindir/%{name}play

%files
%_bindir/*
%exclude %_bindir/*-config
%_man1dir/*
%doc Changelog README TODO

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.a
%_man3dir/*

%changelog
* Tue Dec 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 12.17.7-alt1
- 12.17.7

* Thu Oct 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 12.17.6-alt1
- 12.17.6

* Mon Sep 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 12.17.5-alt1
- new version.
- security fix for previous release applied in upstream.

* Mon Aug 02 2004 Stanislav Ievlev <inger@altlinux.org> 12.17.4-alt1.1
- NMU: security fix

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 12.17.4-alt1
- new version.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 12.17.3-alt2
- Rebuild with gcc-3.2.
- Alsa dsp support disabled.

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 12.17.3-alt1.1
- rebuild with new vorbis

* Mon Dec 17 2001 Yuri N. Sedunov <aris@altlinux.ru> 12.17.3-alt1
- Updated to 12.7.3, major fix in the spec.

* Wed Dec 12 2001 Yuri N. Sedunov <aris@altlinux.ru> 12.17.2-alt1
- Updated to 12.7.2, built with gsmlib.

* Wed Apr 10 2001 Rider <rider@altlinux.ru> 12.17.1-alt1
- 12.17.1

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 12.17-ipl1mdk
- RE adaptions.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17-1mdk
- new and shiny version.
- fix the build.

* Wed Aug 30 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-9mdk
- minor fix in the spec

* Tue Aug 29 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-8mdk
- simplified the installation

* Mon Aug 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-7mdk
- fixed installation directories

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 12.16-6mdk
- fixed groups

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix dangling symlinks (use rpmlint luke).

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Sat Aug 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DHAVE_SYS_SOUNDCARD_H=1, cause configure is slightly broken

* Thu Jul 22 1999 Gregus <gregus@etudiant.net>
- fr locale

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- A new life for the spec file :).
- 12.16.
- Removed obsoletes patchs.

* Tue Jun 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cleanup from Mandrake adaptions

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Wed Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
